com.fasterxml.jackson.databind.deser.std

## Class ContainerDeserializerBase<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.ContainerDeserializerBase<T>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CollectionDeserializer, MapDeserializer, ObjectArrayDeserializer, StringCollectionDeserializer

    public abstract class ContainerDeserializerBase<T>
    extends StdDeserializer<T>

Intermediate base deserializer class that adds more shared accessor so that other classes can access information about contained (value) types

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
`protected` `ContainerDeserializerBase(Class<?> selfType)`

### Method Summary

Methods
`abstract JsonDeserializer<Object>` `getContentDeserializer()` Accesor for deserializer use for deserializing content values.
`abstract JavaType` `getContentType()` Accessor for declared type of contained value elements; either exact type, or one of its supertypes.

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, deserializeWithType, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerDeserializerBase

    protected ContainerDeserializerBase(Class<?> selfType)

### Method Detail

#### getContentType

    public abstract JavaType getContentType()

Accessor for declared type of contained value elements; either exact type, or one of its supertypes.

#### getContentDeserializer

    public abstract JsonDeserializer<Object> getContentDeserializer()

Accesor for deserializer use for deserializing content values.